Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.core.v1
Class ParagraphType

    java.lang.Object
      be.fgov.ehealth.dics.core.v1.BaseType
          be.fgov.ehealth.dics.core.v1.ParagraphType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ParagraphAndChildrenType, ParagraphAndTherapyType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:13:06+02:00",
               comments="JAXB RI v2.2.6")
    public class ParagraphType

extends BaseType
implements Serializable

Java class for ParagraphType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ParagraphType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v1}BaseType">
           <sequence>
             <element name="ChapterName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ParagraphName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Key" type="{urn:be:fgov:ehealth:dics:core:v1}TextType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="AgreementType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="AgreementTypePro" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ProcessType" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
             <element name="LegalReference" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="PublicationDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="ModificationDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="ProcessTypeOverrule" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ParagraphVersion" type="{http://www.w3.org/2001/XMLSchema}integer"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ParagraphType()`

Method Summary
`String` | `getAgreementType()` Gets the value of the agreementType property.
`String` | `getAgreementTypePro()` Gets the value of the agreementTypePro property.
`String` | `getChapterName()` Gets the value of the chapterName property.
`List<TextType>` | `getKeies()` Gets the value of the keies property.
`String` | `getLegalReference()` Gets the value of the legalReference property.
`org.joda.time.DateTime` | `getModificationDate()` Gets the value of the modificationDate property.
`String` | `getParagraphName()` Gets the value of the paragraphName property.
`BigInteger` | `getParagraphVersion()` Gets the value of the paragraphVersion property.
`BigInteger` | `getProcessType()` Gets the value of the processType property.
`String` | `getProcessTypeOverrule()` Gets the value of the processTypeOverrule property.
`org.joda.time.DateTime` | `getPublicationDate()` Gets the value of the publicationDate property.
`void` | `setAgreementType(String value)` Sets the value of the agreementType property.
`void` | `setAgreementTypePro(String value)` Sets the value of the agreementTypePro property.
`void` | `setChapterName(String value)` Sets the value of the chapterName property.
`void` | `setLegalReference(String value)` Sets the value of the legalReference property.
`void` | `setModificationDate(org.joda.time.DateTime value)` Sets the value of the modificationDate property.
`void` | `setParagraphName(String value)` Sets the value of the paragraphName property.
`void` | `setParagraphVersion(BigInteger value)` Sets the value of the paragraphVersion property.
`void` | `setProcessType(BigInteger value)` Sets the value of the processType property.
`void` | `setProcessTypeOverrule(String value)` Sets the value of the processTypeOverrule property.
`void` | `setPublicationDate(org.joda.time.DateTime value)` Sets the value of the publicationDate property.

Methods inherited from class be.fgov.ehealth.dics.core.v1.BaseType
`getEndDate, getStartDate, setEndDate, setStartDate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParagraphType

    public ParagraphType()

Method Detail

### getChapterName

    public String getChapterName()

  Gets the value of the chapterName property.

  Returns:
    possible object is `String`

### setChapterName

    public void setChapterName(String value)

  Sets the value of the chapterName property.

  Parameters:
    `value` - allowed object is `String`

### getParagraphName

    public String getParagraphName()

  Gets the value of the paragraphName property.

  Returns:
    possible object is `String`

### setParagraphName

    public void setParagraphName(String value)

  Sets the value of the paragraphName property.

  Parameters:
    `value` - allowed object is `String`

### getKeies

    public List<TextType> getKeies()

  Gets the value of the keies property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the keies property.

  For example, to add a new item, do as follows:

          getKeies().add(newItem);

  Objects of the following type(s) are allowed in the list `TextType`

### getAgreementType

    public String getAgreementType()

  Gets the value of the agreementType property.

  Returns:
    possible object is `String`

### setAgreementType

    public void setAgreementType(String value)

  Sets the value of the agreementType property.

  Parameters:
    `value` - allowed object is `String`

### getAgreementTypePro

    public String getAgreementTypePro()

  Gets the value of the agreementTypePro property.

  Returns:
    possible object is `String`

### setAgreementTypePro

    public void setAgreementTypePro(String value)

  Sets the value of the agreementTypePro property.

  Parameters:
    `value` - allowed object is `String`

### getProcessType

    public BigInteger getProcessType()

  Gets the value of the processType property.

  Returns:
    possible object is `BigInteger`

### setProcessType

    public void setProcessType(BigInteger value)

  Sets the value of the processType property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getLegalReference

    public String getLegalReference()

  Gets the value of the legalReference property.

  Returns:
    possible object is `String`

### setLegalReference

    public void setLegalReference(String value)

  Sets the value of the legalReference property.

  Parameters:
    `value` - allowed object is `String`

### getPublicationDate

    public org.joda.time.DateTime getPublicationDate()

  Gets the value of the publicationDate property.

  Returns:
    possible object is `String`

### setPublicationDate

    public void setPublicationDate(org.joda.time.DateTime value)

  Sets the value of the publicationDate property.

  Parameters:
    `value` - allowed object is `String`

### getModificationDate

    public org.joda.time.DateTime getModificationDate()

  Gets the value of the modificationDate property.

  Returns:
    possible object is `String`

### setModificationDate

    public void setModificationDate(org.joda.time.DateTime value)

  Sets the value of the modificationDate property.

  Parameters:
    `value` - allowed object is `String`

### getProcessTypeOverrule

    public String getProcessTypeOverrule()

  Gets the value of the processTypeOverrule property.

  Returns:
    possible object is `String`

### setProcessTypeOverrule

    public void setProcessTypeOverrule(String value)

  Sets the value of the processTypeOverrule property.

  Parameters:
    `value` - allowed object is `String`

### getParagraphVersion

    public BigInteger getParagraphVersion()

  Gets the value of the paragraphVersion property.

  Returns:
    possible object is `BigInteger`

### setParagraphVersion

    public void setParagraphVersion(BigInteger value)

  Sets the value of the paragraphVersion property.

  Parameters:
    `value` - allowed object is `BigInteger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.